package web.multitask.trismegistoservices.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import  web.multitask.trismegistoservices.model.User;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Repository;

@Repository
public interface UserRespository extends JpaRepository<User, Long> {
    
    UserDetails findByUsername(String username)
            throws UsernameNotFoundException;

}