
package web.multitask.trismegistoservices.interfaces;

import org.json.JSONObject;
import org.springframework.http.ResponseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.OutputStream;

public interface IDriveService {
    String uploadFile(String folder_id, String file_name, MultipartFile file, JSONObject base64);
    String createFolder(String folder_id, String folder_name);
    String deleteFile(String file_id);
    String deleteFolder(String folder_id);
    ResponseEntity<?> getFile(String file_id,Boolean base64);
    String getFolder(String folder_id);
}